/**
 * url
 * method
 * data
 * header
 * dataType
 * dataType
 * responseType
 * success
 * fail
 * complete
 */

const request = parames => {
	// const config = process.env.ENV_PATH ? require('../'+process.env.ENV_PATH) : require('../env/dev.js')
	// console.log('已经入request方法',config);
	if(!parames) {
		console.warn('请求参数为空，请检查！');
		return
	}
	if(!parames.url){
		console.warn('请求url参数为空，请检查！');
		return
	}
	const port = 'http://36.137.224.81:8030/auth';
	let reqData = {};
	reqData.url = port + parames.url;
	reqData.method = parames.method ? parames.method : 'GET';
	if(parames.data){
		reqData.data = parames.data;
	}
	if(parames.header){
		reqData.header = parames.header
	}
	if(parames.dataType){
		reqData.dataType = parames.dataType
	}
	if(parames.responseType){
		reqData.responseType = parames.responseType;
	}
	
	reqData.success = res =>{
		if(parames.success){
			parames.success(res.data)
		}
	}
	reqData.fail = err =>{
		if(parames.fail){
			parames.fail(err)
		}
	}
	reqData.complete = () => {
		if(parames.complete){
			parames.complete()
		}
	}
	uni.request(reqData)
}

export default request;